# Uses of Class
javassist.bytecode.SignatureAttribute.TypeParameter

Packages that use SignatureAttribute.TypeParameter
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of SignatureAttribute.TypeParameter in javassist.bytecode

Methods in javassist.bytecode that return SignatureAttribute.TypeParameter
Modifier and Type
Method
Description
`SignatureAttribute.TypeParameter[]`
SignatureAttribute.ClassSignature.`getParameters()`
Returns the type parameters.
`SignatureAttribute.TypeParameter[]`
SignatureAttribute.MethodSignature.`getTypeParameters()`
Returns the formal type parameters.
Constructors in javassist.bytecode with parameters of type SignatureAttribute.TypeParameter
Modifier
Constructor
Description
``
`ClassSignature(SignatureAttribute.TypeParameter[] p)`
Constructs a class signature.
``
`ClassSignature(SignatureAttribute.TypeParameter[] params, SignatureAttribute.ClassType superClass, SignatureAttribute.ClassType[] interfaces)`
Constructs a class signature.
``
`MethodSignature(SignatureAttribute.TypeParameter[] tp, SignatureAttribute.Type[] params, SignatureAttribute.Type ret, SignatureAttribute.ObjectType[] ex)`
Constructs a method type signature.